#
# spec file for package lilo (Version 21.7.5)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  bin86 tetex
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bin86 bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit te_ams te_latex tetex texinfo textutils timezone unzip util-linux vim

Name:         lilo
BuildArch:	i386
Copyright:    1992-1997 Werner Almesberger
Group:        System Environment/Base
Provides:     lilo 
Requires:     gfxboot
Autoreqprov:  on
Version:      21.7.5
Release:      54
Summary:      LInux LOader
Source:       ftp://brun.dyndns.org/pub/linux/lilo/lilo-21.7.5.tar.gz
Patch:        lilo-21.7.4.diff
Patch1:       lilo-21.7.4-loop_dev.diff
Patch2:       lilo-21.7.4-gfx.diff
Patch3:       lilo-21.7.4-no_auto_cr.diff
Patch5:       lilo-21.7-vga_inst.diff
Source1:      http://www.memtest86.com/memtest86-2.7.tar.gz
Patch4:       memtest86.diff
Source3:      README.graphics
Source4:      README.SuSE

%description
The LInux-LOader: LILO boots Linux from your hard drive.
It can also boot other operating systems such as MS-DOS and OS/2,
and can even boot DOS from the second hard drive.
The configuration file is /etc/lilo.conf.
The PowerPC variant can be used on new PowerMacs and CHRP machines.
The ix86 variant comes along with Memtest86, offering an image that
can be booted instead of a real OS and doing a memory test.

Authors:
--------
    John Coffman <JohnInSD@san.rr.com> 
    Werner Almesberger <Werner.Almesberger@epfl.ch> 
    PowerPC part: 
    Paul Mackeras <paulus@linuxcare.com.au> 
    Cort Dougan <cort@fsmlabs.com> 
    Benjamin Herrenschmidt <bh40@calva.net> 
    Memtest86: 
    Chris Brady <crsbrady@earthlink.net>

SuSE series: a

%prep
%setup -b1 -n memtest86-2.7
%patch4
%setup -n lilo-21.7.5
%patch -p1
%patch1 -p1
%patch2 -p1
#%patch3 -p1
%patch5 -p0

%build
make -f Makefile.Linux compile
cd ../memtest86-2.7
make

%install
cp $RPM_SOURCE_DIR/README.graphics .
make -f Makefile.Linux install
cd ../memtest86-2.7
make install 
mv README README.memtest86
install -d -m 755 $RPM_BUILD_ROOT/usr/share/lilo

%files
%doc CHANGES COPYING INCOMPAT README $RPM_SOURCE_DIR/README.SuSE
%doc doc/tech.dvi doc/tech.ps.gz doc/user.dvi doc/user.ps.gz
%dir /boot
/boot/boot-text.b
/boot/boot-menu.b
/boot/boot.b
/boot/chain.b
/boot/os2_d.b
/sbin/activate
/sbin/lilo
/usr/sbin/keytab-lilo.pl
/var/adm/setup/setup.liloconfig
/boot/memtest.bin
%doc ../memtest86-2.7/README.memtest86
%doc /usr/share/man/man5/lilo.conf.5.gz
%doc /usr/share/man/man8/lilo.8.gz
%doc README.graphics

%changelog -n lilo
* Mon Sep 17 2001 - mls@suse.de
- added special "vga=inst" mode: probes hardware for a nice
  vga number suitable for the installation.
* Mon Sep 10 2001 - snwint@suse.de
- no graphics if we use serial line (#8789)
* Sun Sep 09 2001 - snwint@suse.de
- support gfxboot-1.4
* Thu Aug 30 2001 - garloff@suse.de
- Update to lilo-21.7.5:
  * DAC960 partition mask fix
  * Reverse map device code if "map-drive" is in effect
- Fix email & URL addresses
* Mon Jul 16 2001 - uli@suse.de
- update memtest -> 2.7
* Mon Apr 30 2001 - snwint@suse.de
- made it require gfxboot package
* Mon Apr 30 2001 - garloff@suse.de
- Update to 21.7.4 (merging all patches):
  * Bug fixes for automatic change-rules
  * Higher serial rates supported
  * Ignore <CR>
  * -u/-U now correctly optional
  * some devfs support
- do_cr_auto() seems to behave now, so it's enabled again
* Sat Apr 28 2001 - snwint@suse.de
- completely new graphical boot screen stuff
- added support for loop devices (useful e.g. to create boot disks)
* Mon Apr 09 2001 - garloff@suse.de
- memtest86: Correct units (cosmetic)
* Sat Apr 07 2001 - garloff@suse.de
- Disable the infamous do_cr_auto() annoyance, resulting in lilo
  (de)activing and (un)hiding partitions at will.
* Thu Mar 08 2001 - ro@suse.de
- fix block-size detection in geometry.c (define correct ioctl)
* Tue Feb 20 2001 - snwint@suse.de
- fixed -I option segfault bug (#6288)
* Mon Feb 12 2001 - ro@suse.de
- don't include linux/fs.h
* Sun Jan 21 2001 - snwint@suse.de
- new SuSE logo
* Sun Jan 14 2001 - snwint@suse.de
- fixed minor bug in mklilomsg
- don't draw text menu when we're going to show a graphical one
* Sun Jan 14 2001 - snwint@suse.de
- wrote README.graphics
- new (much smaller) SuSE logo
* Fri Jan 12 2001 - snwint@suse.de
- better fix for the last problem
- fixed spec
* Thu Jan 11 2001 - snwint@suse.de
- fixed problems with some strange graphics cards
- dropped 320x200 logo
* Sun Jan 07 2001 - snwint@suse.de
- new SuSE logo file
* Thu Dec 21 2000 - garloff@suse.de
- Update memtest86 to v2.5 final.
* Wed Dec 20 2000 - snwint@suse.de
- added SuSE logo files (beta versions, *** MUST *** be replaced
  before final release)
* Tue Dec 19 2000 - snwint@suse.de
- implemented graphics menu support based on RH's logo stuff;
  we support PCX images up to 800x600 (or 512kb), the menu layout is
  controlled by an external tool (mklilomsg)
* Wed Nov 29 2000 - garloff@suse.de
- Update memtest86 to v2.5-beta (Athlon/Duron support)
* Mon Nov 13 2000 - ro@suse.de
- block inclusion of linux/string.h
* Tue Oct 17 2000 - fehr@suse.de
- make options -r and -r work again
* Fri Oct 13 2000 - fehr@suse.de
- add support for Compaq CSS devices
* Mon Oct 09 2000 - fehr@suse.de
- Update to LILO 21.6
* Thu Oct 05 2000 - fehr@suse.de
- Update to LILO 21.5.1
- add man pages to package
* Tue Sep 12 2000 - snwint@suse.de
- added support for i2o devices (treated similar to SCSI devs)
* Mon Aug 28 2000 - garloff@suse.de
- Added memtest86-2.4.
* Sun May 28 2000 - kukuk@suse.de
- Use doc macro
* Mon Mar 13 2000 - bk@suse.de
- added two fixes from kgw:
  * make more than one DAC960 controller accessible by lilo
  * fix major of fifth ide interface
* Wed Feb 16 2000 - bk@suse.de
- increased CL_LENGTH define in lilo.h from 0x4e(78) to 0xff
* Fri Oct 01 1999 - bk@suse.de
- added new "seg es" patch from l-k, recommended by garloff
* Thu Sep 30 1999 - bk@suse.de
- added new EBDA patch from Red Hat and VA Research
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Jan 29 1999 - kgw@suse.de
- Update to LILO v21
- Incorporated patch for support of the logical hard drives
  provided by the Compaq Smart2 RAID controller (major 72)
* Tue Nov 18 1997 - bs@suse.de
- thrown away /boot/any_?.b
* Sun Nov 16 1997 - bs@suse.de
- added /boot/any_?.b for backward compability.
* Sun Nov 09 1997 - fehr@suse.de
- add file /var/adm/setup/setup.liloconfig to package again
* Fri Sep 12 1997 - rolf@suse.de
- lilo-20
